Czy istnieje ważny powód, aby uaktualnić system Ubuntu 8.04 (Hardy Heron)?

10

Zarówno moja instalacja na komputerze, jak i na serwerze są w porządku. Czy brakuje mi czegoś ważnego, co sprawiłoby, że ulepszenie warte było kłopotów?

    
zadawane Aviah Laor 30.07.2010, 21:18
źródło

3 odpowiedzi

16

Krótka odpowiedź to:

  • Serwer: nie
  • Pulpit: może

Stare powiedzenie "Jeśli nie jest zepsute, nie naprawiaj tego". jest szczególnie prawdziwe w przypadku serwerów. Podczas gdy uaktualniłem mój serwer od 8.04 do 10.04, było to możliwe tylko dlatego, że było całkiem sporo nowych bibliotek, które naprawdę chciałem. Poza tym 8.04 jest nadal solidnym wydawnictwem, a jeśli nie ma niczego, co wyraźnie odczuwasz, brakuje. Zdecydowanie powinieneś zostać z tym.

Jeśli chodzi o pulpit, wybór jest mniej oczywisty. Nowy 10.04 najprawdopodobniej da lepsze i bardziej dopracowane "wrażenia na pulpicie". Ponadto zauważysz o wiele więcej ulepszeń w dołączonym oprogramowaniu komputerowym niż w przypadku typowych demonów serwera.

Wciąż, twój pulpit 8.04 pracuje dla ciebie i chociaż to samo będzie prawdopodobnie działać na pulpicie 10.04, zmiana zawsze wiąże się z ryzykiem, że coś pójdzie nie tak. Sądzę, że sprowadza się do tego, jak uciążliwe / możliwe byłoby ponowne zainstalowanie pulpitu 8.04 w najgorszym przypadku.

    
odpowiedział andol 30.07.2010, 21:44
źródło
10

Tak, między Hardym i Lucidem wykonano ogromną ilość proaktywnej pracy związanej z bezpieczeństwem. Wystarczy porównać listę funkcji bezpieczeństwa . Na przykład, wiele luk w zabezpieczeniach może być wykorzystywanych na urządzeniach Hardy, które są co najwyżej odmową usługi Lucid.

    
odpowiedział Kees Cook 04.11.2010, 07:32
źródło
4

To zależy od twoich potrzeb. Z pewnością na komputerze istnieje większe prawdopodobieństwo aktualizacji, ponieważ aplikacje i funkcje zmieniają się szybciej i szybciej.

Jednak także serwer ma kilka nowych ulepszeń, które można ciąć w obie strony. Na przykład php5 został uaktualniony do wersji 5.3, która ma wiele bardzo istotnych nowych funkcji w języku php (tworzenie przestrzeni nazw, magiczne funkcje dla metod statycznych w obiektach itp.). Jednak wiele starszych aplikacji php nie jest kompatybilnych z php5.3. Dlatego musisz zważyć, czy którakolwiek ze starych aplikacji zostanie zastosowana i potrzebujesz tych nowych funkcji.

    
odpowiedział txwikinger 30.07.2010, 22:45
źródło

Przeczytaj inne pytania na temat tagów